Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services.stats
Class ListStatsRecorder

    java.lang.Object
      org.jasig.portal.services.stats.ListStatsRecorder

All Implemented Interfaces:
  IStatsRecorder

    public final class ListStatsRecorder

extends java.lang.Object
implements IStatsRecorder

IStatsRecorder implementation which delegates to zero to many child IStatsRecorders. This class allows you to use multiple stats recorders. We invoke each child IStatsRecorder within a try-catch Throwable in order to guarantee that no particular IStatsRecorder's failure will prevent propogation of IStatsRecorder events to other children. We do not propogate these exceptions to our caller in order to prevent failures in statistics recording from propogating into other modules. (For instance, a failure to record a login shouldn't prevent a user from being able to log in at all.)

Since:
  uPortal 2.5.1
Version:
  $Revision: 1.1.2.2 $ $Date: 2005/09/12 21:01:26 $

Field Summary
`private IStatsRecorder[]` | `children` Recorders to which we broadcast IStatsRecorder method calls, in order.
`private org.apache.commons.logging.Log` | `log`

Constructor Summary
`ListStatsRecorder()`

Method Summary
`IStatsRecorder[]` | `getChildren()` Get the recorders to which we broadcast IStatsRecorder method calls.
`void` | `recordChannelAddedToLayout(IPerson person, UserProfile profile, IUserLayoutChannelDescription channelDesc)` Called when a channel is being added to a user layout
`void` | `recordChannelDefinitionModified(IPerson person, ChannelDefinition channelDef)` Called when a user modifies an existing channel
`void` | `recordChannelDefinitionPublished(IPerson person, ChannelDefinition channelDef)` Called when a user publishes a channel
`void` | `recordChannelDefinitionRemoved(IPerson person, ChannelDefinition channelDef)` Called when a user removes an existing channel
`void` | `recordChannelInstantiated(IPerson person, UserProfile profile, IUserLayoutChannelDescription channelDesc)` Called when a channel is being instantiated
`void` | `recordChannelMovedInLayout(IPerson person, UserProfile profile, IUserLayoutChannelDescription channelDesc)` Called when a channel is being moved in a user layout
`void` | `recordChannelRemovedFromLayout(IPerson person, UserProfile profile, IUserLayoutChannelDescription channelDesc)` Called when a channel is being removed from a user layout
`void` | `recordChannelRendered(IPerson person, UserProfile profile, IUserLayoutChannelDescription channelDesc)` Called when a channel is being rendered
`void` | `recordChannelTargeted(IPerson person, UserProfile profile, IUserLayoutChannelDescription channelDesc)` Called when a channel is being targeted
`void` | `recordChannelUpdatedInLayout(IPerson person, UserProfile profile, IUserLayoutChannelDescription channelDesc)` Called when a channel is being updated in a user layout
`void` | `recordFolderAddedToLayout(IPerson person, UserProfile profile, IUserLayoutFolderDescription folderDesc)` Called when a folder is being added to a user layout
`void` | `recordFolderMovedInLayout(IPerson person, UserProfile profile, IUserLayoutFolderDescription folderDesc)` Called when a folder is being moved in a user layout
`void` | `recordFolderRemovedFromLayout(IPerson person, UserProfile profile, IUserLayoutFolderDescription folderDesc)` Called when a folder is being removed from a user layout
`void` | `recordFolderUpdatedInLayout(IPerson person, UserProfile profile, IUserLayoutFolderDescription folderDesc)` Called when a folder is being updated in a user layout
`void` | `recordLogin(IPerson person)` Called when user authenticates successfully.
`void` | `recordLogout(IPerson person)` Called when user logs out.
`void` | `recordSessionCreated(IPerson person)` Called when a new session is created for a user.
`void` | `recordSessionDestroyed(IPerson person)` Called when the user's session is destroyed.
`void` | `setChildren(IStatsRecorder[] children)` Set the recorders to which we broadcast IStatsRecorder method calls.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private final org.apache.commons.logging.Log log

### children

    private IStatsRecorder[] children

  Recorders to which we broadcast IStatsRecorder method calls, in order.

Constructor Detail

### ListStatsRecorder

    public ListStatsRecorder()

Method Detail

### getChildren

    public IStatsRecorder[] getChildren()

  Get the recorders to which we broadcast IStatsRecorder method calls.

  Returns:
    recorders to which we broadcast IStatsRecorder method calls.

### setChildren

    public void setChildren(IStatsRecorder[] children)

  Set the recorders to which we broadcast IStatsRecorder method calls.

  Parameters:
    `children` - to which we will broadcast IStatsRecorder method calls.

### recordLogin

    public void recordLogin(IPerson person)

  Description copied from interface: `IStatsRecorder`
  Called when user authenticates successfully.

  Specified by:
    `recordLogin` in interface `IStatsRecorder`
  Parameters:
    `person` - the IPerson object

### recordLogout

    public void recordLogout(IPerson person)

  Description copied from interface: `IStatsRecorder`
  Called when user logs out.

  Specified by:
    `recordLogout` in interface `IStatsRecorder`
  Parameters:
    `person` - the IPerson object

### recordSessionCreated

    public void recordSessionCreated(IPerson person)

  Description copied from interface: `IStatsRecorder`
  Called when a new session is created for a user.

  Specified by:
    `recordSessionCreated` in interface `IStatsRecorder`
  Parameters:
    `person` - the IPerson object

### recordSessionDestroyed

    public void recordSessionDestroyed(IPerson person)

  Description copied from interface: `IStatsRecorder`
  Called when the user's session is destroyed. This occurs when the user logs out or his/her session simply times out.

  Specified by:
    `recordSessionDestroyed` in interface `IStatsRecorder`
  Parameters:
    `person` - the IPerson object

### recordChannelDefinitionPublished

    public void recordChannelDefinitionPublished(IPerson person,
                                                 ChannelDefinition channelDef)

  Description copied from interface: `IStatsRecorder`
  Called when a user publishes a channel

  Specified by:
    `recordChannelDefinitionPublished` in interface `IStatsRecorder`
  Parameters:
    `person` - the person pubishing the channel
    `channelDef` - the channel being published

### recordChannelDefinitionModified

    public void recordChannelDefinitionModified(IPerson person,
                                                ChannelDefinition channelDef)

  Description copied from interface: `IStatsRecorder`
  Called when a user modifies an existing channel

  Specified by:
    `recordChannelDefinitionModified` in interface `IStatsRecorder`
  Parameters:
    `person` - the person modifying the channel
    `channelDef` - the channel being modified

### recordChannelDefinitionRemoved

    public void recordChannelDefinitionRemoved(IPerson person,
                                               ChannelDefinition channelDef)

  Description copied from interface: `IStatsRecorder`
  Called when a user removes an existing channel

  Specified by:
    `recordChannelDefinitionRemoved` in interface `IStatsRecorder`
  Parameters:
    `person` - the person removing the channel
    `channelDef` - the channel being removed

### recordChannelAddedToLayout

    public void recordChannelAddedToLayout(IPerson person,
                                           UserProfile profile,
                                           IUserLayoutChannelDescription channelDesc)

  Description copied from interface: `IStatsRecorder`
  Called when a channel is being added to a user layout

  Specified by:
    `recordChannelAddedToLayout` in interface `IStatsRecorder`
  Parameters:
    `person` - the person adding the channel
    `profile` - the profile of the layout to which the channel is added
    `channelDesc` - the channel being subscribed to

### recordChannelUpdatedInLayout

    public void recordChannelUpdatedInLayout(IPerson person,
                                             UserProfile profile,
                                             IUserLayoutChannelDescription channelDesc)

  Description copied from interface: `IStatsRecorder`
  Called when a channel is being updated in a user layout

  Specified by:
    `recordChannelUpdatedInLayout` in interface `IStatsRecorder`
  Parameters:
    `person` - the person updating the channel
    `profile` - the profile of the layout in which the channel is updated
    `channelDesc` - the channel being updated

### recordChannelMovedInLayout

    public void recordChannelMovedInLayout(IPerson person,
                                           UserProfile profile,
                                           IUserLayoutChannelDescription channelDesc)

  Description copied from interface: `IStatsRecorder`
  Called when a channel is being moved in a user layout

  Specified by:
    `recordChannelMovedInLayout` in interface `IStatsRecorder`
  Parameters:
    `person` - the person moving the channel
    `profile` - the profile of the layout in which the channel is moved
    `channelDesc` - the channel being moved

### recordChannelRemovedFromLayout

    public void recordChannelRemovedFromLayout(IPerson person,
                                               UserProfile profile,
                                               IUserLayoutChannelDescription channelDesc)

  Description copied from interface: `IStatsRecorder`
  Called when a channel is being removed from a user layout

  Specified by:
    `recordChannelRemovedFromLayout` in interface `IStatsRecorder`
  Parameters:
    `person` - the person removing the channel
    `profile` - the profile of the layout to which the channel is removed
    `channelDesc` - the channel being removed from a user layout

### recordFolderAddedToLayout

    public void recordFolderAddedToLayout(IPerson person,
                                          UserProfile profile,
                                          IUserLayoutFolderDescription folderDesc)

  Description copied from interface: `IStatsRecorder`
  Called when a folder is being added to a user layout

  Specified by:
    `recordFolderAddedToLayout` in interface `IStatsRecorder`
  Parameters:
    `person` - the person adding the folder
    `profile` - the profile of the layout to which the folder is added
    `folderDesc` - the folder being subscribed to

### recordFolderUpdatedInLayout

    public void recordFolderUpdatedInLayout(IPerson person,
                                            UserProfile profile,
                                            IUserLayoutFolderDescription folderDesc)

  Description copied from interface: `IStatsRecorder`
  Called when a folder is being updated in a user layout

  Specified by:
    `recordFolderUpdatedInLayout` in interface `IStatsRecorder`
  Parameters:
    `person` - the person updating the folder
    `profile` - the profile of the layout in which the folder is updated
    `folderDesc` - the folder being updated

### recordFolderMovedInLayout

    public void recordFolderMovedInLayout(IPerson person,
                                          UserProfile profile,
                                          IUserLayoutFolderDescription folderDesc)

  Description copied from interface: `IStatsRecorder`
  Called when a folder is being moved in a user layout

  Specified by:
    `recordFolderMovedInLayout` in interface `IStatsRecorder`
  Parameters:
    `person` - the person moving the folder
    `profile` - the profile of the layout in which the folder is moved
    `folderDesc` - the folder being moved

### recordFolderRemovedFromLayout

    public void recordFolderRemovedFromLayout(IPerson person,
                                              UserProfile profile,
                                              IUserLayoutFolderDescription folderDesc)

  Description copied from interface: `IStatsRecorder`
  Called when a folder is being removed from a user layout

  Specified by:
    `recordFolderRemovedFromLayout` in interface `IStatsRecorder`
  Parameters:
    `person` - the person removing the folder
    `profile` - the profile of the layout to which the folder is removed
    `folderDesc` - the folder being removed from a user layout

### recordChannelInstantiated

    public void recordChannelInstantiated(IPerson person,
                                          UserProfile profile,
                                          IUserLayoutChannelDescription channelDesc)

  Description copied from interface: `IStatsRecorder`
  Called when a channel is being instantiated

  Specified by:
    `recordChannelInstantiated` in interface `IStatsRecorder`
  Parameters:
    `person` - the person instantiating the channel
    `profile` - the profile of the layout in which this channel is instantiated
    `channelDesc` - the channel being instantiated

### recordChannelRendered

    public void recordChannelRendered(IPerson person,
                                      UserProfile profile,
                                      IUserLayoutChannelDescription channelDesc)

  Description copied from interface: `IStatsRecorder`
  Called when a channel is being rendered

  Specified by:
    `recordChannelRendered` in interface `IStatsRecorder`
  Parameters:
    `person` - the person rendering the channel
    `profile` - the profile of the layout in which this channel is rendered
    `channelDesc` - the channel being rendered

### recordChannelTargeted

    public void recordChannelTargeted(IPerson person,
                                      UserProfile profile,
                                      IUserLayoutChannelDescription channelDesc)

  Description copied from interface: `IStatsRecorder`
  Called when a channel is being targeted

  Specified by:
    `recordChannelTargeted` in interface `IStatsRecorder`
  Parameters:
    `person` - the person interacting with the channel
    `profile` - the profile of the layout in which this channel resides
    `channelDesc` - the channel being targeted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD